#tar file from SVN:
#svn co https://navit.svn.sourceforge.net/svnroot/navit/trunk/navit@3689 navit-0.1.1SVN3689 && cd navit-0.1.1SVN3689 && ./autogen.sh && cd .. && tar -cjf navit-0.1.1SVN3689.tar.bz2 navit-0.1.1SVN3689
Name:           navit
Version:        0.1.1SVN3689
Release:        1
Summary:        Car navigation system with routing engine
Group:          Applications/Productivity
License:        GPLv2
URL:            http://navit.sourceforge.net/
Source0:        %{name}/%{name}-%{version}.tar.bz2
Source1:        gpsdata.bin
Source2:        gpsdata.nmea
Source4:        contact.xpm
Source5:        navit-say
Source8:        webtrackuser
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cairo-devel
BuildRequires:  clutter-devel
BuildRequires:  glib2-devel
BuildRequires:  gtk2-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  dejavu-sans-fonts
BuildRequires:  freeglut-devel
BuildRequires:  quesoglc-devel
BuildRequires:  atk-devel
BuildRequires:  freetype-devel
BuildRequires:  pango-devel
BuildRequires:  python-devel
BuildRequires:  gd-devel
BuildRequires:  zlib-devel
BuildRequires:  libstdc++-devel
BuildRequires:  glibc-devel
BuildRequires:  libgarmin-devel
BuildRequires:  gpsd-devel
BuildRequires:  gypsy-devel
BuildRequires:  speech-dispatcher-devel
BuildRequires:  cvs
BuildRequires:  pkgconfig(libebook-1.2)
BuildRequires:  geoclue-devel
BuildRequires:  pkgconfig(twitter-glib-1.0)

BuildRequires:  gettext-devel
BuildRequires:  desktop-file-utils
BuildRequires:  dbus-glib-devel

BuildRequires:  libhildon-devel
BuildRequires:  SDL_image-devel
BuildRequires:  libglade2-devel

Requires:       geoclue
Requires:       dbus
Requires:       gpsd
Requires:       speech-dispatcher
Requires:       hicolor-icon-theme
Requires:       dejavu-sans-fonts
Requires:       clutter
Requires:       clutter-gtk 

%description
Navit is  modular design is capable of using vector maps of various formats 
for routing and rendering of the displayed map. It's even possible to use 
multiple maps at a time.
The GTK+ or SDL user interfaces are designed to work well with touch screen 
displays. Points of Interest of various formats are displayed on the map.
The current vehicle position is either read from gpsd or directly from NMEA 
GPS sensors.
The routing engine not only calculates an optimal route to your destination,
but also generates directions and even speaks to you using speechd.

%package devel
Summary:        Development and documentation files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Static libraries, header files and documentation for %{name}.


%prep
%setup -q

%build
%configure
make %{?_smp_mflags} VERBOSE=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'
%find_lang %{name}
desktop-file-install                                        \
    --delete-original                                       \
    --add-category="Network;"                              \
    --dir=%{buildroot}%{_datadir}/applications              \
    %{buildroot}/%{_datadir}/applications/%{name}.desktop

rm -f %{buildroot}%{_datadir}/%{name}/README

install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/%{name}/
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/%{name}/
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/%{_datadir}/%{name}/xpm/
install -m 755 %{SOURCE5} $RPM_BUILD_ROOT/%{_bindir}/
install -m 755 %{SOURCE8} $RPM_BUILD_ROOT/%{_bindir}/

# Use installed DejaVu
rm -f %{buildroot}%{_datadir}/%{name}/datafiles/fonts/DejaVuSans.ttf
mkdir -p  %{buildroot}%{_datadir}/%{name}/datafiles/fonts
ln -s %{_datadir}/fonts/dejavu/DejaVuSans.ttf %{buildroot}%{_datadir}/%{name}/datafiles/fonts/DejaVuSans.ttf


%clean
rm -rf %{buildroot}


%post
/sbin/ldconfig
update-mime-database %{_datadir}/mime &> /dev/null || :


%postun
/sbin/ldconfig
update-mime-database %{_datadir}/mime &> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING COPYRIGHT README
%{_bindir}/%{name}
%{_bindir}/navit-say
%{_bindir}/webtrackuser
%{_bindir}/maptool
%{_libdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*x*/apps/*.png
%{_datadir}/%{name}
%{_datadir}/dbus-1/services/org.navit_project.navit.service
%{_mandir}/man1/maptool.1.gz
%{_mandir}/man1/navit.1.gz

%changelog
* Sat Nov 20 2010 Jameson Pugh <imntreal@gmail.com> - 0.1.1SVN3689-1
- Build for Fedora

* Thu Apr 22 2010 Todd Brandt <todd.e.brandt@intel.com> - 1.1.0
- Added a fix for the libfontcache crash in meego
- updated the gps demo data
- Added a demo mode for webtrack for when no net is available
- Added webtrackuser script which setups twitter username
* Wed Sep 16 2009 Todd Brandt <todd.e.brandt@intel.com> - 1.1.0
- Added webtracker capabilities for twitter geolocation
* Wed Aug 19 2009 Todd Brandt <todd.e.brandt@intel.com> - 1.1.0
- Added fix to contacts map, entries are now synced with what's
  in EDS on navit start.
* Mon Jul 27 2009 Todd Brandt <todd.e.brandt@intel.com> - 1.1.0
- upgrade to Navit 1.1.0
* Wed Jul  1 2009 Todd Brandt <todd.e.brandt@intel.com> - 0.1.0-1
- Added Lilli Szfranski's Changes for GPS simulation and contacts
* Mon Mar 30 2009 Jimmy Huang <jimmy.huang@linux.intel.com> - 0.1.0-1
- Initial import.
* Sun Nov 30 2008 Fabian Affolter <fabian@bernewireless.net> - 0.1.0-1
- Updated to 0.1.0
* Sat Nov  1 2008 Fabian Affolter <fabian@bernewireless.net> - 0.0.4-1
- Initial package for Fedora
